API reference
POSTRequires Bearer token
Create a signed-document share link
/api/v4/documents/{uuid}/share
Submit /api/v4/documents/{uuid}/share. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.
Path parameters
| Field | Type | Description |
|---|---|---|
uuid Required | string | Path parameter uuid. |
Query parameters
This endpoint has no query parameters.
Request body
| Field | Type | Description |
|---|---|---|
expires_in | integer | TTL in seconds (60–604800, default 3600). e.g. 3600 |
Responses
| Status | Meaning |
|---|---|
| 200 | Share link |
| 401 | Missing or invalid Bearer token. |